#ajax-datatables_wrapper .dataTables_length {
    float: left;
    text-align: left;
}

#ajax-datatables_wrapper .dataTables_filter {
    float: right;
    text-align: right;
}

#ajax-datatables_wrapper .dataTables_info,
#ajax-datatables_wrapper .dataTables_paginate {
    margin-top: 1rem;
}

#ajax-datatables_wrapper .dataTables_paginate {
    text-align: right;
}

#ajax-datatables_wrapper .dataTables_info {
    text-align: left;
}

@media (max-width: 768px) {
    #ajax-datatables_wrapper .dataTables_paginate,
    #ajax-datatables_wrapper .dataTables_info {
        text-align: center !important;
    }
}
#ajax-datatables_wrapper .col-md-7 {
    text-align: right;
}

#ajax-datatables_wrapper .dataTables_paginate {
    display: inline-block;
}

.dataTables_processing::before {
    content: "";
    display: inline-block;
    width: 40px;
    height: 40px;
    margin-bottom: 10px;
    border: 4px solid #fff;
    border-top: 4px solid #3498db;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0%   { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.day-sessions {
    max-height: 50px;
    overflow-y: auto;
}

div:where(.swal2-icon) .swal2-icon-content {
    font-size: 1.5em !important;
}
.active-session {
    position: relative;
    animation: pulse-border 1.5s infinite;
}

@keyframes pulse-border {
    0% {
        box-shadow: 0 0 0 0 rgba(0, 123, 255, 0.8);
        border: 2px solid rgba(0, 123, 255, 0.8);
    }
    50% {
        box-shadow: 0 0 8px 4px rgba(0, 123, 255, 0.3);
        border: 2px solid rgba(0, 123, 255, 0.3);
    }
    100% {
        box-shadow: 0 0 0 0 rgba(0, 123, 255, 0.8);
        border: 2px solid rgba(0, 123, 255, 0.8);
    }
}

.modal-content>.btn-close, .modal-header>.btn-close
{
    height: 3.5rem;
    margin: 0;
    padding: 0;
    position: absolute;
    right: 0;
    top: 0;
    width: 3.5rem;
    z-index: 10;
}
.modal-header {
    align-items: center;
    background: transparent;
    min-height: 3.0rem;
    padding: 0 3.0rem 0 1.0rem;
}
.modal-title {
    color: #182433;
    font-size: 1rem;
    font-weight: 600;
    line-height: 1.4285714286;
}
